Package org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

## Class HeadlessSVGUserAgent

- java.lang.Object
- - org.apache.batik.bridge.UserAgentAdapter
  - - org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.HeadlessSVGUserAgent

- All Implemented Interfaces:
    `org.apache.batik.bridge.UserAgent`

      public class HeadlessSVGUserAgent
      extends org.apache.batik.bridge.UserAgentAdapter

  Creation-Date: 11.12.2007, 15:01:44
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeadlessSVGUserAgent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.batik.bridge.ScriptSecurity` | `getScriptSecurity​(java.lang.String string, org.apache.batik.util.ParsedURL parsedURL, org.apache.batik.util.ParsedURL parsedURL1)` | Should we prevent users from running scripts? If yes, then add it here.

    - ### Methods inherited from class org.apache.batik.bridge.UserAgentAdapter

      `addStdFeatures, checkLoadExternalResource, checkLoadScript, deselectAll, displayError, displayError, displayMessage, getAlternateStyleSheet, getBolderFontWeight, getBrokenLinkDocument, getClientAreaLocationOnScreen, getDefaultFontFamily, getEventDispatcher, getExternalResourceSecurity, getFontFamilyResolver, getLanguages, getLighterFontWeight, getMedia, getMediumFontSize, getPixelToMM, getPixelUnitToMillimeter, getStandardBolderFontWeight, getStandardLighterFontWeight, getTransform, getUserStyleSheetURI, getViewportSize, getXMLParserClassName, handleElement, hasFeature, isXMLParserValidating, loadDocument, openLink, registerExtension, runThread, setBridgeContext, setSVGCursor, setTextSelection, setTransform, showAlert, showConfirm, showPrompt, showPrompt, supportExtension`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeadlessSVGUserAgent

          public HeadlessSVGUserAgent()

  - ### Method Detail

    - #### getScriptSecurity

          public org.apache.batik.bridge.ScriptSecurity getScriptSecurity​(java.lang.String string,
                                                                          org.apache.batik.util.ParsedURL parsedURL,
                                                                          org.apache.batik.util.ParsedURL parsedURL1)

      Should we prevent users from running scripts? If yes, then add it here.
      Specified by:
        `getScriptSecurity` in interface `org.apache.batik.bridge.UserAgent`
      Overrides:
        `getScriptSecurity` in class `org.apache.batik.bridge.UserAgentAdapter`
      Parameters:
        `string` -
        `parsedURL` -
        `parsedURL1` -
      Returns: